libstdc++: std::char_traits< wchar_t > Struct Reference

libstdc++

std::char_traits< wchar_t > Struct Reference

`#include <char_traits.h>`

Inheritance diagram for std::char_traits< wchar_t >:
[legend]

## Public Types
typedef wchar_t | char_type
typedef wchar_t | char_type
using | comparison_category
using | comparison_category
typedef _Char_types< wchar_t >::int_type | int_type
typedef wint_t | int_type
typedef _Char_types< wchar_t >::off_type | off_type
typedef streamoff | off_type
typedef _Char_types< wchar_t >::pos_type | pos_type
typedef wstreampos | pos_type
typedef _Char_types< wchar_t >::state_type | state_type
typedef mbstate_t | state_type

## Static Public Member Functions
static constexpr void | assign (char_type &__c1, const char_type &__c2)
static constexpr char_type * | assign (char_type *__s, std::size_t __n, char_type __a)
static constexpr void | assign (char_type &__c1, const char_type &__c2)
static constexpr void | assign (char_type &__c1, const char_type &__c2) noexcept
static constexpr char_type * | assign (char_type *__s, size_t __n, char_type __a)
static constexpr char_type * | assign (char_type *__s, std::size_t __n, char_type __a)
static constexpr int | compare (const char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int | compare (const char_type *__s1, const char_type *__s2, size_t __n)
static constexpr int | compare (const char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr char_type * | copy (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr char_type * | copy (char_type *__s1, const char_type *__s2, size_t __n)
static constexpr char_type * | copy (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int_type | eof ()
static constexpr int_type | eof () noexcept
static constexpr bool | eq (const char_type &__c1, const char_type &__c2)
static constexpr bool | eq (const char_type &__c1, const char_type &__c2)
static constexpr bool | eq (const char_type &__c1, const char_type &__c2) noexcept
static constexpr bool | eq_int_type (const int_type &__c1, const int_type &__c2)
static constexpr bool | eq_int_type (const int_type &__c1, const int_type &__c2)
static constexpr bool | eq_int_type (const int_type &__c1, const int_type &__c2) noexcept
static constexpr const char_type * | find (const char_type *__s, std::size_t __n, const char_type &__a)
static constexpr const char_type * | find (const char_type *__s, size_t __n, const char_type &__a)
static constexpr const char_type * | find (const char_type *__s, std::size_t __n, const char_type &__a)
static constexpr std::size_t | length (const char_type *__s)
static constexpr std::size_t | length (const char_type *__s)
static constexpr size_t | length (const char_type *__s)
static constexpr bool | lt (const char_type &__c1, const char_type &__c2)
static constexpr bool | lt (const char_type &__c1, const char_type &__c2)
static constexpr bool | lt (const char_type &__c1, const char_type &__c2) noexcept
static constexpr char_type * | move (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr char_type * | move (char_type *__s1, const char_type *__s2, size_t __n)
static constexpr char_type * | move (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int_type | not_eof (const int_type &__c)
static constexpr int_type | not_eof (const int_type &__c)
static constexpr int_type | not_eof (const int_type &__c) noexcept
static constexpr char_type | to_char_type (const int_type &__c)
static constexpr char_type | to_char_type (const int_type &__c)
static constexpr char_type | to_char_type (const int_type &__c) noexcept
static constexpr int_type | to_int_type (const char_type &__c)
static constexpr int_type | to_int_type (const char_type &__c)
static constexpr int_type | to_int_type (const char_type &__c) noexcept

## Detailed Description

21.1.3.2 char_traits specializations

Definition at line 476 of file char_traits.h.

## Member Typedef Documentation

## ◆ char_type [1/2]

typedef wchar_t __gnu_cxx::char_traits< wchar_t >::char_type

Definition at line 115 of file char_traits.h.

## ◆ char_type [2/2]

typedef wchar_t std::char_traits< wchar_t >::char_type

Definition at line 478 of file char_traits.h.

## ◆ comparison_category [1/2]

using __gnu_cxx::char_traits< wchar_t >::comparison_category

Definition at line 123 of file char_traits.h.

## ◆ comparison_category [2/2]

using std::char_traits< wchar_t >::comparison_category

Definition at line 486 of file char_traits.h.

## ◆ int_type [1/2]

typedef _Char_types<wchar_t>::int_type __gnu_cxx::char_traits< wchar_t >::int_type

Definition at line 116 of file char_traits.h.

## ◆ int_type [2/2]

typedef wint_t std::char_traits< wchar_t >::int_type

Definition at line 479 of file char_traits.h.

## ◆ off_type [1/2]

typedef _Char_types<wchar_t>::off_type __gnu_cxx::char_traits< wchar_t >::off_type

Definition at line 119 of file char_traits.h.

## ◆ off_type [2/2]

typedef streamoff std::char_traits< wchar_t >::off_type

Definition at line 481 of file char_traits.h.

## ◆ pos_type [1/2]

typedef _Char_types<wchar_t>::pos_type __gnu_cxx::char_traits< wchar_t >::pos_type

Definition at line 118 of file char_traits.h.

## ◆ pos_type [2/2]

typedef wstreampos std::char_traits< wchar_t >::pos_type

Definition at line 482 of file char_traits.h.

## ◆ state_type [1/2]

typedef _Char_types<wchar_t>::state_type __gnu_cxx::char_traits< wchar_t >::state_type

Definition at line 120 of file char_traits.h.

## ◆ state_type [2/2]

typedef mbstate_t std::char_traits< wchar_t >::state_type

Definition at line 483 of file char_traits.h.

## Member Function Documentation

## ◆ assign() [1/6]

template<typename _CharT>

constexpr void __gnu_cxx::char_traits< _CharT >::assign | ( | char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexprinherited

Definition at line 127 of file char_traits.h.

## ◆ assign() [2/6]

template<typename _CharT>

char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::assign | ( | char_type * | __s,
|  | std::size_t | __n,
|  | char_type | __a )
| staticconstexprinherited

Definition at line 275 of file char_traits.h.

## ◆ assign() [3/6]

constexpr void __gnu_cxx::char_traits< wchar_t >::assign | ( | char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexpr

Definition at line 127 of file char_traits.h.

## ◆ assign() [4/6]

constexpr void std::char_traits< wchar_t >::assign | ( | char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexprnoexcept

Definition at line 490 of file char_traits.h.

## ◆ assign() [5/6]

constexpr char_type * std::char_traits< wchar_t >::assign | ( | char_type * | __s,
|  | size_t | __n,
|  | char_type | __a )
| inlinestaticconstexpr

Definition at line 567 of file char_traits.h.

## ◆ assign() [6/6]

char_traits< wchar_t >::char_type * __gnu_cxx::char_traits< wchar_t >::assign | ( | char_type * | __s,
|  | std::size_t | __n,
|  | char_type | __a )
| staticconstexpr

Definition at line 161 of file char_traits.h.

## ◆ compare() [1/3]

template<typename _CharT>

int __gnu_cxx::char_traits< _CharT >::compare | ( | const char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexprinherited

Definition at line 188 of file char_traits.h.

## ◆ compare() [2/3]

constexpr int std::char_traits< wchar_t >::compare | ( | const char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n )
| inlinestaticconstexpr

Definition at line 509 of file char_traits.h.

## ◆ compare() [3/3]

int __gnu_cxx::char_traits< wchar_t >::compare | ( | const char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexpr

Definition at line 146 of file char_traits.h.

## ◆ copy() [1/3]

template<typename _CharT>

char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::copy | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexprinherited

Definition at line 255 of file char_traits.h.

## ◆ copy() [2/3]

constexpr char_type * std::char_traits< wchar_t >::copy | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n )
| inlinestaticconstexpr

Definition at line 555 of file char_traits.h.

## ◆ copy() [3/3]

char_traits< wchar_t >::char_type * __gnu_cxx::char_traits< wchar_t >::copy | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexpr

Definition at line 158 of file char_traits.h.

## ◆ eof() [1/2]

constexpr int_type __gnu_cxx::char_traits< wchar_t >::eof | ( |  | ) |
| inlinestaticconstexpr

Definition at line 177 of file char_traits.h.

## ◆ eof() [2/2]

constexpr int_type std::char_traits< wchar_t >::eof | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 592 of file char_traits.h.

## ◆ eq() [1/3]

template<typename _CharT>

constexpr bool __gnu_cxx::char_traits< _CharT >::eq | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexprinherited

Definition at line 138 of file char_traits.h.

## ◆ eq() [2/3]

constexpr bool __gnu_cxx::char_traits< wchar_t >::eq | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexpr

Definition at line 138 of file char_traits.h.

## ◆ eq() [3/3]

constexpr bool std::char_traits< wchar_t >::eq | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexprnoexcept

Definition at line 501 of file char_traits.h.

## ◆ eq_int_type() [1/3]

template<typename _CharT>

constexpr bool __gnu_cxx::char_traits< _CharT >::eq_int_type | ( | const int_type & | __c1,
|  | const int_type & | __c2 )
| inlinestaticconstexprinherited

Definition at line 172 of file char_traits.h.

## ◆ eq_int_type() [2/3]

constexpr bool __gnu_cxx::char_traits< wchar_t >::eq_int_type | ( | const int_type & | __c1,
|  | const int_type & | __c2 )
| inlinestaticconstexpr

Definition at line 172 of file char_traits.h.

## ◆ eq_int_type() [3/3]

constexpr bool std::char_traits< wchar_t >::eq_int_type | ( | const int_type & | __c1,
|  | const int_type & | __c2 )
| inlinestaticconstexprnoexcept

Definition at line 587 of file char_traits.h.

## ◆ find() [1/3]

template<typename _CharT>

const char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::find | ( | const char_type * | __s,
|  | std::size_t | __n,
|  | const char_type & | __a )
| staticconstexprinherited

Definition at line 212 of file char_traits.h.

## ◆ find() [2/3]

constexpr const char_type * std::char_traits< wchar_t >::find | ( | const char_type * | __s,
|  | size_t | __n,
|  | const char_type & | __a )
| inlinestaticconstexpr

Definition at line 531 of file char_traits.h.

## ◆ find() [3/3]

const char_traits< wchar_t >::char_type * __gnu_cxx::char_traits< wchar_t >::find | ( | const char_type * | __s,
|  | std::size_t | __n,
|  | const char_type & | __a )
| staticconstexpr

Definition at line 152 of file char_traits.h.

## ◆ length() [1/3]

template<typename _CharT>

std::size_t __gnu_cxx::char_traits< _CharT >::length | ( | const char_type * | __s | ) |
| staticconstexprinherited

Definition at line 201 of file char_traits.h.

## ◆ length() [2/3]

std::size_t __gnu_cxx::char_traits< wchar_t >::length | ( | const char_type * | __s | ) |
| staticconstexpr

Definition at line 149 of file char_traits.h.

## ◆ length() [3/3]

constexpr size_t std::char_traits< wchar_t >::length | ( | const char_type * | __s | ) |
| inlinestaticconstexpr

Definition at line 521 of file char_traits.h.

## ◆ lt() [1/3]

template<typename _CharT>

constexpr bool __gnu_cxx::char_traits< _CharT >::lt | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexprinherited

Definition at line 142 of file char_traits.h.

## ◆ lt() [2/3]

constexpr bool __gnu_cxx::char_traits< wchar_t >::lt | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexpr

Definition at line 142 of file char_traits.h.

## ◆ lt() [3/3]

constexpr bool std::char_traits< wchar_t >::lt | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexprnoexcept

Definition at line 505 of file char_traits.h.

## ◆ move() [1/3]

template<typename _CharT>

char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::move | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexprinherited

Definition at line 224 of file char_traits.h.

## ◆ move() [2/3]

constexpr char_type * std::char_traits< wchar_t >::move | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n )
| inlinestaticconstexpr

Definition at line 543 of file char_traits.h.

## ◆ move() [3/3]

char_traits< wchar_t >::char_type * __gnu_cxx::char_traits< wchar_t >::move | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexpr

Definition at line 155 of file char_traits.h.

## ◆ not_eof() [1/3]

template<typename _CharT>

constexpr int_type __gnu_cxx::char_traits< _CharT >::not_eof | ( | const int_type & | __c | ) |
| inlinestaticconstexprinherited

Definition at line 181 of file char_traits.h.

## ◆ not_eof() [2/3]

constexpr int_type __gnu_cxx::char_traits< wchar_t >::not_eof | ( | const int_type & | __c | ) |
| inlinestaticconstexpr

Definition at line 181 of file char_traits.h.

## ◆ not_eof() [3/3]

constexpr int_type std::char_traits< wchar_t >::not_eof | ( | const int_type & | __c | ) |
| inlinestaticconstexprnoexcept

Definition at line 596 of file char_traits.h.

## ◆ to_char_type() [1/3]

template<typename _CharT>

constexpr char_type __gnu_cxx::char_traits< _CharT >::to_char_type | ( | const int_type & | __c | ) |
| inlinestaticconstexprinherited

Definition at line 164 of file char_traits.h.

## ◆ to_char_type() [2/3]

constexpr char_type __gnu_cxx::char_traits< wchar_t >::to_char_type | ( | const int_type & | __c | ) |
| inlinestaticconstexpr

Definition at line 164 of file char_traits.h.

## ◆ to_char_type() [3/3]

constexpr char_type std::char_traits< wchar_t >::to_char_type | ( | const int_type & | __c | ) |
| inlinestaticconstexprnoexcept

Definition at line 579 of file char_traits.h.

## ◆ to_int_type() [1/3]

template<typename _CharT>

constexpr int_type __gnu_cxx::char_traits< _CharT >::to_int_type | ( | const char_type & | __c | ) |
| inlinestaticconstexprinherited

Definition at line 168 of file char_traits.h.

## ◆ to_int_type() [2/3]

constexpr int_type __gnu_cxx::char_traits< wchar_t >::to_int_type | ( | const char_type & | __c | ) |
| inlinestaticconstexpr

Definition at line 168 of file char_traits.h.

## ◆ to_int_type() [3/3]

constexpr int_type std::char_traits< wchar_t >::to_int_type | ( | const char_type & | __c | ) |
| inlinestaticconstexprnoexcept

Definition at line 583 of file char_traits.h.

The documentation for this struct was generated from the following file:

- char_traits.h